### Function

# Gimp Font get_by_name

since: 3.0

#### Declaration [src]

    GimpFont*
    gimp_font_get_by_name (
      const gchar* name
    )

#### Description [src]

Returns a font with the given name.

If several fonts are named identically, the one which is returned by this function should be considered random. This can be used when you know you won’t have multiple fonts of this name or that you don’t want to choose (non-interactive scripts, etc.). If you need more control, you should use `gimp_fonts_get_list()` instead. Returns `NULL` when no font exists of that name.

Available since: 3.0

#### Parameters

`name`

  Type: `const gchar*`

  The name of the font.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GimpFont`

The font.

The data is owned by the called function.
The return value can be `NULL`.